Lister les hyperviseurs
curl --request GET \
--url https://api.devin.ai/v3/enterprise/hypervisors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/hypervisors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/hypervisors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"cloud_provider_instance_id": "<string>",
"created_at": 123,
"hypervisor_id": "<string>",
"last_heartbeat": 123,
"status": "<string>",
"utilization_percentage": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Hyperviseurs (Entreprise)
Lister les hyperviseurs
GET
/
v3
/
enterprise
/
hypervisors
Lister les hyperviseurs
Autorisations
ViewEnterpriseInfraDetails au niveau Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de requête
Plage requise:
1 <= x <= 200Options disponibles:
available, restarting, disconnected, terminated, draining, all Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur permettant d’obtenir la page suivante, ou None s’il s’agit de la dernière page.
Indique s’il reste d’autres éléments après cette page.
Nombre total facultatif (peut être omis pour des raisons de performance).
⌘I

